@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100..900&family=Noto+Serif+Thai:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Nastaliq+Urdu:wght@400..700&display=swap');
* {
    font-family: "Noto Sans Thai", sans-serif;
    scroll-behavior: smooth;
    scrollbar-width: thin;
    scrollbar-color: #301342 #f1f1f1;
}

#wepx-navbar {
    transition: box-shadow 0.3s ease;
}

#wepx-navbar.scrolled {
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.navbar-toggler:focus {
    box-shadow: none;
}

header {
    background-image: url("../images/header-bg.jpg");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    height: 100vh;
}

h1 {
    font-weight: 300;
    font-size: 68px;
    color: #fff;
    line-height: 1;
}

h2 {
    font-weight: 300;
    font-size: 27px;
    line-height: 1;
    color: #fff;
}

h1 span,
h2 span {
    font-weight: 700;
}

header h3 {
    font-weight: 700;
    font-size: 18px;
    color: #fff;
}

header h3 span {
    font-weight: 500;
    font-size: 14px;
}

.cmHeader-img {
    right: 15%;
    bottom: 0;
    width: 25%;
}

.navbar-nav li a {
    font-weight: 400;
    font-size: 15px;
    color: #221e20;
    position: relative;
    padding: 0px !important;
}

.navbar-nav li a::after {
    content: "";
    position: absolute;
    left: 0;
    width: 0;
    bottom: 0;
    height: 2px;
    border-radius: 5px;
    background-color: #221e20;
    transition: width 0.3s ease;
}

.navbar-nav li a.active::after,
.navbar-nav li a:hover::after {
    content: "";
    position: absolute;
    left: 0;
    width: 100%;
    bottom: 0;
    height: 2px;
    border-radius: 5px;
    background-color: #221e20;
    transition: width 0.3s ease;
}

.visitorBtn {
    background-color: #301342;
    color: #fff;
    transition: all 0.3s linear;
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-size: 15px;
}

.visitorBtn:hover {
    background-color: rgb(48, 19, 66, 0.5);
}

.eventCalenderBtn {
    background-color: #c54c78;
    color: #fff;
    transition: all 0.3s linear;
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-size: 15px;
}

.eventCalenderBtn:hover {
    background-color: rgb(197, 76, 120, 0.5);
}

::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

::-webkit-scrollbar-track {
    border-radius: 5px;
}

::-webkit-scrollbar-thumb {
    background: #301342;
    border-radius: 10px;
}

.eventCalenderBtn1 {
    background: #301342;
    border: 1px solid #301342;
    font-weight: 500;
    font-size: 15px;
    color: #fff;
    padding-top: 0.7rem;
    transition: all 0.3s linear;
    padding-bottom: 0.7rem;
    outline: 1.5px solid #fff;
}

.eventCalenderBtn1:hover {
    background-color: transparent;
    color: #301342;
    border: 1px solid #301342;
}

.eventCalenderBtn1:hover span img {
    filter: brightness(0) saturate(100%) invert(9%) sepia(21%) saturate(7497%) hue-rotate(263deg) brightness(88%) contrast(96%);
}

.visitorBtn1 {
    background: #c54c78;
    border: 1.50px solid #fff;
    font-weight: 500;
    font-size: 15px;
    color: #fff;
    padding-top: 0.7rem;
    transition: all 0.3s linear;
    padding-bottom: 0.7rem;
}

.visitorBtn1:hover {
    background-color: #fff;
    color: #c54c78;
}

.visitorBtn1:hover span img {
    filter: brightness(0) saturate(100%) invert(43%) sepia(6%) saturate(5734%) hue-rotate(287deg) brightness(91%) contrast(89%);
}

.homeSection {
    background-image: url("../images/what-miss-section-bg.png");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.homeSection h3 {
    font-weight: 300;
    font-size: 40px;
    color: #221e20;
}

.homeSection h4 {
    font-weight: 300;
    font-size: 24px;
    color: #221e20;
}

.homeSection h5 {
    font-weight: 500;
    font-size: 16px;
    color: #221e20;
}

.homeSection p {
    font-weight: 300;
    font-size: 16px;
    color: #221e20;
}

.homeSection h6 {
    font-weight: 500;
    font-size: 14px;
    color: #221e20;
}

.homeSection .col-lg-8 {
    position: relative;
}

.homeSection .col-lg-8::after {
    content: "";
    position: absolute;
    background-color: #c54c78;
    width: 0.8px;
    height: 100%;
    left: 0;
    top: 0;
}

.homeSection .col-lg-4::after {
    content: none;
}

.visionSection h3 {
    font-weight: 300;
    font-size: 32px;
    position: relative;
    color: #221e20;
}

.visionSection h3::before {
    content: "";
    position: absolute;
    width: 130%;
    height: 2px;
    background-color: #c54c78;
    top: -20px;
    left: 0;
}

.visionSection h3 span {
    font-weight: 700;
    color: #c54c78;
}

.visionSection h4 {
    font-weight: 300;
    font-size: 20px;
    color: #221e20;
}

.visionSection p {
    font-weight: 300;
    font-size: 15px;
    color: #221e20;
    line-height: 2;
}

.visionSection .readMoreBtn {
    border: 1px solid #301342;
    background-color: #301342;
    font-weight: 500;
    font-size: 15px;
    color: #fff;
    transition: all 0.3s linear;
}

.visionSection .readMoreBtn:hover {
    background-color: transparent;
    border: 1px solid #301342;
    color: #301342;
}

.visionSection h5 {
    font-weight: 400;
    font-size: 24px;
    color: #221e20;
    position: relative;
}

.visionSection h5::after {
    content: "";
    position: absolute;
    width: 50%;
    height: 1.5px;
    background-color: #c54c78;
    bottom: -4px;
    left: 20%;
}

.visionSection h6 {
    font-weight: 400;
    font-size: 16px;
    color: #221e20;
}

.pavilionSection h3 {
    font-weight: 300;
    font-size: 32px;
    position: relative;
    color: #221e20;
}

.pavilionSection {
    background-color: #f7f4ec;
}

.pavilionSection h3::before {
    content: "";
    position: absolute;
    width: 70%;
    height: 2px;
    background-color: #c54c78;
    top: -20px;
    left: 0;
}

.pavilionSection h4 {
    font-weight: 300;
    font-size: 22px;
    color: #221e20;
}

.pavilionSection h5 {
    font-weight: 500;
    font-size: 20px;
    color: #221e20;
}

.pavilionSection p {
    font-weight: 300;
    font-size: 15px;
    color: #221e20;
}

.eventDeatilsSection h3 {
    font-weight: 400;
    font-size: 75px;
    color: #301342;
}

.eventDeatilsSection h4 {
    font-weight: 300;
    font-size: 22px;
    color: #301342;
}

.odometer.odometer-auto-theme,
.odometer.odometer-theme-car {
    border: none;
    border-radius: none;
    color: unset !important;
    font-family: unset !important;
    padding: 0px !important;
    background: transparent !important;
}

.odometer.odometer-auto-theme .odometer-digit,
.odometer.odometer-theme-car .odometer-digit,
.odometer.odometer-auto-theme .odometer-digit,
.odometer.odometer-theme-car .odometer-digit {
    background-image: none !important;
    box-shadow: none !important;
    background: transparent !important;
    color: unset !important;
}

.stallCategorySection h3 {
    font-weight: 300;
    font-size: 32px;
    position: relative;
    color: #221e20;
}

.stallCategorySection h3::before {
    content: "";
    position: absolute;
    width: 70%;
    height: 2px;
    background-color: #c54c78;
    top: -20px;
    left: 0;
}

.stallCategorySection h4 {
    font-weight: 300;
    font-size: 22px;
    color: #221e20;
}

.stallCategorySection h4 span {
    font-weight: 700;
    color: #c54c78;
}

.stallCategorySection .card {
    background-image: url("../images/stall-category-card-bg.svg");
    background-repeat: no-repeat;
    background-size: cover;
}

.stallCategorySection .card h5 {
    font-weight: 300;
    font-size: 15px;
    color: #221e20;
}

.stallCategorySection .card h6 {
    font-weight: 500;
    font-size: 18px;
    color: #221e20;
}

.stallCategorySection .card p {
    font-weight: 500;
    font-size: 24px;
    color: #c54c78;
}

.stallCategorySection .card .card-body p {
    font-weight: 300;
    font-size: 19px;
    color: #221e20;
}

.stallCategorySection .card ul {
    list-style: none;
    padding-left: 0;
}

.stallCategorySection .card ul li {
    position: relative;
    font-weight: 300;
    font-size: 16px;
    color: #221e20;
    padding-left: 25px;
    margin-bottom: 10px;
}

.stallCategorySection .card ul li:last-child {
    margin-bottom: 0px;
}

.stallCategorySection .card ul li::before {
    content: '';
    background-image: url("data:image/svg+xml,%3Csvg width='27' height='27' viewBox='0 0 27 27' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M5.0625 14.3438L11.8125 21.0938L21.9375 5.90625' stroke='%23221E20' stroke-linecap='round' stroke-linejoin='round' /%3E%3C/svg%3E");
    background-size: contain;
    background-repeat: no-repeat;
    width: 20px;
    height: 20px;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}

.slider-nav1 div {
    background: #f7f4ec;
}


/* slider 2 */

.swiper-wrapper {
    height: auto;
}

.swiper-slide {
    display: grid;
    border-radius: 20px;
    place-items: center;
    background: #f7f4ec;
}

.swiper-slide img {
    width: 100px;
    height: 100px;
}

.spacer {
    height: clamp(40vh, 25vw, 400px);
}

.founderSection h3 {
    font-weight: 300;
    font-size: 32px;
    position: relative;
    color: #221e20;
}

.founderSection h3::before {
    content: "";
    position: absolute;
    width: 70%;
    height: 2px;
    background-color: #c54c78;
    top: -20px;
    left: 0;
}

.founderSection h4 {
    font-weight: 300;
    font-size: 22px;
    color: #221e20;
}

.founderSection .swiper-slide h5 {
    font-weight: 500;
    font-size: 18px;
    color: #221e20;
}

.founderSection .swiper-slide h6 {
    font-weight: 300;
    font-size: 16px;
    color: #221e20;
}

.founderSection .swiper-slide p {
    font-weight: 700;
    font-size: 16px;
    color: #c54c78;
}

.countdown-box {
    padding: 20px 40px;
    background: #301342;
    color: #fff;
    border-radius: 30px;
    width: fit-content;
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
}

.count-item {
    text-align: center;
}

.count-item span {
    display: block;
    font-size: 48px;
    font-weight: 700;
}

.count-item small {
    font-size: 14px;
    opacity: .8;
}


/* Footer */

footer {
    text-align: center;
    margin-top: 40px;
}

.footer-logo {
    width: 110px;
}

.footer-menu {
    display: flex;
    gap: 50px;
    justify-content: center;
    list-style: none;
}

.footer-menu li a {
    font-weight: 500;
    font-size: 15px;
    transition: all 0.3s linear;
    color: #929292;
    text-decoration: none;
}

.footer-menu li a:hover {
    color: #222;
}

.social-icons i {
    margin: 0 10px;
    font-size: 18px;
    cursor: pointer;
}

footer p {
    font-size: 12px;
    opacity: .7;
    margin-top: 20px;
}


/* slider */

.exhibitionSection h3 {
    font-weight: 300;
    font-size: 32px;
    position: relative;
    color: #221e20;
}

.exhibitionSection h3::before {
    content: "";
    position: absolute;
    width: 70%;
    height: 2px;
    background-color: #c54c78;
    top: -20px;
    left: 0;
}

.exhibitionSection h4 {
    font-weight: 300;
    font-size: 22px;
    color: #221e20;
}

.name-section {
    font-weight: 800;
    text-transform: uppercase;
    font-size: 14px;
    color: #af2b28 !important;
    line-height: 1.2em;
    margin: 0;
}

.title-section b {
    color: #af2b28;
}

.title-section {
    color: #000;
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin: 0;
}

.exhibitionPavilionSlidesControlButton {
    display: flex;
    gap: 10px;
}

.exhibitionPavilionSlides {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.exhibitionPavilionSlides .swiper-slide {
    border: 1px solid #eee9df;
    background: #f7f4ec;
    display: flex;
    text-align: center;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
    transform: scale(0.9) !important;
    transition: 0.2s;
}

.exhibitionPavilionSlides .swiper-slide * {
    margin: 0;
}

.exhibitionPavilionSlides .swiper-slide-active {
    filter: blur(0px) !important;
    transform: scale(1) !important;
}

.text-slide {
    font-weight: 500;
    font-size: 17px;
    text-align: center;
    color: #221e20;
}

.swiper-button-testmonials-next,
.swiper-button-testmonials-prev {
    cursor: pointer;
    background-color: #f7f4ec;
    border-radius: 50%;
}


/* Preloader */

.preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 1;
    visibility: visible;
    transition: opacity 0.5s ease, visibility 0.5s ease;
}

.preloader.hidden {
    opacity: 0;
    visibility: hidden;
}

.logo-container {
    position: relative;
    display: inline-block;
}

.logo-animation {
    width: 100px;
}

.loading-circle {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 150px;
    height: 150px;
    margin-top: -75px;
    margin-left: -75px;
    border: 5px solid rgba(0, 0, 0, 0.1);
    border-top: 5px solid #301342;
    border-radius: 50%;
    animation: spin-circle 2s linear infinite;
}

@keyframes spin-circle {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}


/* form page */

.wepxFormPage {
    background-color: #f7f4ec;
}

.wepxFormPage h1 {
    font-weight: 300;
    font-size: 28px;
    color: #301342;
}

.wepxFormPage h1 span {
    font-weight: 700;
}

.stepper-links {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent !important;
    width: 25px;
    height: 33px;
    border-radius: 50% !important;
}

.stepper-links.stepCompleted {
    background: #c54c78 !important;
}

.stepper-links.stepCompleted .stepNumber i {
    color: #fff;
}

.stepper-links.active {
    border: 1px solid #200b3a;
    border-radius: 50%;
    background-color: transparent !important;
}

.stepper-links.active .stepNumber,
.stepper-links.active+p {
    color: #200b3a;
}

.stepper-links.remainingStep {
    border: 1px solid #abb7c2;
}

.stepper-links.remainingStep+p,
.stepper-links.remainingStep .stepNumber {
    color: #abb7c2;
}

.wepxFormPage form .form-label {
    font-weight: 400;
    font-size: 15px;
    color: #323238;
}

.wepxFormPage form .tab-pane select,
.wepxFormPage form .tab-pane textarea,
.wepxFormPage form .tab-pane input:not([type="checkbox"]) {
    border: 1px solid #e1e1e6;
    border-radius: 2px;
    padding: 8px 16px;
    height: 52px;
    line-height: 2.1;
}

.wepxFormPage form textarea {
    min-height: 100px !important;
}

.wepxFormPage .input::placeholder {
    color: #8D8D99;
}

.form-label-urdu {
    font-family: "Noto Nastaliq Urdu", serif;
    display: inline-block;
    text-align: end;
    font-size: 14px;
}

.form-label {
    display: inline-block;
}

.wepxFormPage h2 {
    color: #200b3a;
    font-size: 20px;
    font-weight: 600;
}

.wepxFormPage form .nextBtn {
    background-color: #c54c78;
    border: 1px solid #c54c78;
    border-radius: 7px;
    transition: all 0.3s linear;
    color: #fff;
    padding-top: 0.7rem;
    padding-bottom: 0.7rem;
}

.wepxFormPage form .nextBtn:hover {
    background-color: transparent;
    color: #c54c78;
    border: 1px solid #c54c78;
}

.wepxFormPage form .backBtn {
    background-color: transparent;
    border: 1px solid #c54c78;
    border-radius: 7px;
    transition: all 0.3s linear;
    color: #c54c78;
    padding-top: 0.7rem;
    padding-bottom: 0.7rem;
}

.wepxFormPage form .backBtn:hover {
    background-color: #c54c78;
    color: #fff;
}

.line {
    width: 60px;
    height: 2px;
    border-radius: 4px;
    background: lightgrey;
}

@media screen and (max-width:991px) {
    .visitorBtn,
    .eventCalenderBtn {
        width: 50%;
    }
    .homeSection .col-lg-8::after {
        content: none;
    }
    .homeSection .col-lg-8::before {
        content: "";
        position: absolute;
        background-color: #c54c78;
        width: 97.5%;
        height: 0.8px;
        top: -9px;
    }
}

@media screen and (max-width: 768px) {
    header {
        height: 50vh !important;
    }
    .cmHeader-img {
        right: 5%;
    }
    .exhibitionPavilionSlidesDiv {
        flex-direction: column;
        align-items: flex-start;
    }
    .exhibitionPavilionSlides {
        width: 100%;
    }
    .header-slide svg {
        width: 50px;
    }
    .title-slide h4 {
        font-size: 14px;
    }
    .exhibitionPavilionSlides .swiper-slide {
        padding: 20px;
    }
}

@media screen and (max-width: 576px) {
    h1 {
        font-size: 45px;
    }
    .mainStepperDiv li {
        padding-right: 20px;
    }
}

@media screen and (max-width: 412px) {
    h1 {
        font-size: 35px;
    }
}

@media screen and (max-width: 389px) {
    header {
        height: 60vh !important;
    }
}


